<?php
/* Make sure we've been called using index.php */
if (!defined('INSTALL_SEQUENCE')) {
    echo '<p>Illegal call. Terminating.</p>';
    exit();
}
date_default_timezone_set("Asia/Taipei");
$created_date = date('Y-m-d H:i:s');
?>
<div class="tuition_content"> 
<div class="p-3 mb-2 bg-info text-white"><i class="fa fa-info" aria-hidden="true"></i>更新資訊:</div>   
<?php
// Check passwords
$data = $_POST['upgrade'];

if (!isset($_SESSION['username'])) {
if ($data['pwd'] != $data['pwd_check']) {
    die('<p class=text-danger><strong>更新失敗!!</strong>管理者兩次密碼輸入不一樣</p>');
}
}
$userpasswd='';
if (isset($_SESSION['password'])) {
$userpasswd=$_SESSION['password'];
}else {
$userpasswd=$data[pwd];
}

//查詢Table資料
$SelectQuery = "SELECT count(*) AS checknum ,* FROM admin";
$SelectQuery.=" where (Username=:Username and Password=:Password) AND Groups=1";

//執行SQL
$Statement = $Database->prepare($SelectQuery);
$Statement->bindParam(":Username", $data[username]);
$Statement->bindParam(":Password", substr(md5($userpasswd),0,40));
$Statement->execute();
$row = $Statement->fetch(PDO::FETCH_ASSOC);
if ( $row['checknum']==0 ) { //
die('<p class=text-danger><strong>更新失敗!</strong> 管理者帳號/密碼錯誤或單位名稱非設定為管理者....</p>');
}else{

echo '<p class=text-success>1.通過驗證管理者帳號......</p>';


/***** SAFETY CHECKS DONE, CONTINUE WITH ACTUAL UPGRADE ******/
echo '<p class=text-success>2.開始進行資料庫更新......</p>';


// deanBriefSQLITE
//查詢Table資料
$SortNumQuery = "SELECT count(*) AS checkSortnum FROM sqlite_master WHERE name='deanBrief' AND sql  LIKE '%SortNum%' ORDER BY name";

//執行SQL
$SortNumStatement = $Database->prepare($SortNumQuery);
$SortNumStatement->execute();
$SortNumrow = $SortNumStatement->fetch(PDO::FETCH_ASSOC);
if ( $SortNumrow['checkSortnum']==0 ) { //
echo '<p class=text-muted>2.1<strong>即將為您更新資料表deanBrief...!</strong>......</p>';

//更新紀錄到欄位中
$Database->exec("ALTER TABLE deanBrief ADD SortNum INTEGER");
echo '<p class=text-warning>2.1資料庫更新已完成deanBrief...</p>';

}else{
echo '<p class=text-info>2.1無須更新資料表deanBrief......</p>';
}

// deanDataSQLITE
//查詢Table資料
$SortNumQuery = "SELECT count(*) AS checkSortnum FROM sqlite_master WHERE name='deanData' AND sql  LIKE '%SortNum%' ORDER BY name";

//執行SQL
$SortNumStatement = $Database->prepare($SortNumQuery);
$SortNumStatement->execute();
$SortNumrow = $SortNumStatement->fetch(PDO::FETCH_ASSOC);
if ( $SortNumrow['checkSortnum']==0 ) { //
echo '<p class=text-muted>2.2<strong>即將為您更新資料表deanData!</strong>......</p>';

//更新紀錄到欄位中
$Database->exec("ALTER TABLE deanData ADD SortNum INTEGER");
echo '<p class=text-warning>2.2deanData資料庫更新已完成...</p>';

}else{
echo '<p class=text-info>2.2無須更新資料表deanData......</p>';
}

echo '<p class=text-muted><strong>即將為您更新program資料表資料!</strong>......</p>';

       //更新紀錄到欄位中
	    $stmtprogram ="UPDATE program SET AdminID=1,Version='$youversion',UpdateTime='$created_date' WHERE Version <> '$youversion'";
		$update_program=$Database->exec($stmtprogram); 
		
//判斷是否修改成功
	if(!$update_program){
echo '<p class=text-info>2.3無須更新program資料表......</p>';
	}else{
echo '<p class=text-warning>2.3program資料表更新已完成......</p>';
	}
	
	    $stmtprogram1 ="UPDATE program SET Name='單位名稱請設定',Description='管理單位名稱',UpdateTime='$created_date' WHERE ID=1";
		$update_program1=$Database->exec($stmtprogram1); 	
//判斷是否修改成功
	if(!$update_program1){
echo '<p class=text-info>2.4無法更新program資料表(填報單位設定改為單位名稱設定)......</p>';
	}else{
echo '<p class=text-warning>2.4program資料表(填報單位設定改為單位名稱設定)已完成......</p>';
	}	


// program資料(程式設定)
//查詢Table資料
$program13Query = "SELECT count(*) AS checkprogram13 FROM program WHERE url = 'fillwebstructure.php' ";
//執行SQL
$program13Statement = $Database->prepare($program13Query);
$program13Statement->execute();
$program13row = $program13Statement->fetch(PDO::FETCH_ASSOC);
if ( $program13row['checkprogram13']==0 ) { //program資料(網頁內容編輯)
        //更新紀錄到欄位中
		$stmtprogram13 ="INSERT INTO program (ID,isDisplay,SortNum,Name,FontAwesome,url,Version,Description,AdminID,UpdateTime) VALUES ('13','true',NULL,'網頁內容編輯','fa-arrows','fillwebstructure.php','2.0.2','網頁內容編輯','1','$created_date')";
		$update_program13=$Database->exec($stmtprogram13);  
//判斷是否修改成功
	if(!$update_program13){
echo '<p class=text-info>2.4.13無須新增program資料(網頁內容編輯)......</p>';
	}else{
echo '<p class=text-warning>2.4.13program資料(網頁內容編輯)新增已完成......</p>';
	}
}else{
	echo '<p class=text-info>2.4.13無須更新......</p>';
	} 	


$program14Query = "SELECT count(*) AS checkprogram14 FROM program WHERE url = 'fillwebstructurelist.php' ";
//執行SQL
$program14Statement = $Database->prepare($program14Query);
$program14Statement->execute();
$program14row = $program14Statement->fetch(PDO::FETCH_ASSOC);
if ( $program14row['checkprogram14']==0 ) { //program資料(編輯頁面)
        //更新紀錄到欄位中
		$stmtprogram14 ="INSERT INTO program (ID,isDisplay,SortNum,Name,FontAwesome,url,Version,Description,AdminID,UpdateTime) VALUES ('14','true',NULL,'編輯頁面','fa-arrows','fillwebstructurelist.php','2.0.2','內容編輯頁面','1','$created_date')";

		$update_program14=$Database->exec($stmtprogram14);  
//判斷是否修改成功
	if(!$update_program14){
echo '<p class=text-info>2.4.14新增program資料(編輯頁面)發生錯誤......</p>';
	}else{
echo '<p class=text-warning>2.4.14program資料(編輯頁面)新增已完成......</p>';
	}			
}else{
	echo '<p class=text-info>2.4.14無須更新......</p>';
	} 

echo '<p class=text-muted><strong>即將為您新增parameters資料表資料!</strong>......</p>';
// parameters資料(新增教師陣容模組)
//查詢Table資料
$parametersQuery = "SELECT count(*) AS checkparameters FROM parameters WHERE Class = 'template' AND Vaule = 'teacher' ";
//執行SQL
$parametersStatement = $Database->prepare($parametersQuery);
$parametersStatement->execute();
$parametersrow = $parametersStatement->fetch(PDO::FETCH_ASSOC);
if ( $parametersrow['checkparameters']==0 ) { //parameters資料(新增教師陣容模組)
        //更新紀錄到欄位中
	    $stmtparameters ="INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES (NULL,'template','teacher','教師陣容模組','請勿刪除','1','$created_date')";
		$update_parameters=$Database->exec($stmtparameters);  
//判斷是否修改成功
	if(!$update_parameters){
echo '<p class=text-info>2.5新增parameters資料(新增教師陣容模組)發生錯誤......</p>';
	}else{
echo '<p class=text-warning>2.5parameters資料(新增教師陣容模組)新增已完成......</p>';
	}
//parameters資料(新增教師陣容模組)
}else{
echo '<p class=text-info>2.5無須更新parameters資料(教師陣容模組)......</p>';
	} 
	
// 2017-03-17 parametersSQLITE
//查詢Table資料
$parametersSortQuery = "SELECT count(*) AS checkSortnum FROM sqlite_master WHERE name='parameters' AND sql LIKE '%SortNum%' ORDER BY name";

//執行SQL
$parametersSortStatement = $Database->prepare($parametersSortQuery);
$parametersSortStatement->execute();
$parametersSortrow = $parametersSortStatement->fetch(PDO::FETCH_ASSOC);
if ( $parametersSortrow['checkSortnum']==0 ) { //
echo '<p class=text-muted>2.6<strong>即將為您更新資料表parameters...(新增排序功能)!</strong>......</p>';

//更新紀錄到欄位中
$Database->exec("ALTER TABLE parameters ADD SortNum INTEGER");
echo '<p class=text-warning>2.6parameters資料庫更新已完成...</p>';

}else{
echo '<p class=text-info>2.6無須更新資料表parameters......(新增排序功能)</p>';
}	

// 2017-04-07  社群 / follow us  改為自己新增
// parameters資料(新增社群 / follow us)
$followusQuery = "SELECT count(*) AS checkparameters FROM parameters WHERE Class = 'links' AND Vaule = 'followus' ";
//執行SQL
$followusStatement = $Database->prepare($followusQuery);
$followusStatement->execute();
$followussrow = $followusStatement->fetch(PDO::FETCH_ASSOC);
if ( $followussrow['checkparameters']==0 ) { //parameters資料(新增社群 / follow us)
        //更新紀錄到欄位中
	    $stmtfollowus ="INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime,SortNum) VALUES (NULL,'links','followus','社群/follow us','請勿刪除','1','$created_date',5)";
		$update_followus=$Database->exec($stmtfollowus);  
//判斷是否修改成功
	if(!$update_followus){
echo '<p class=text-info>2.7無法新增parameters資料(新增社群 / follow us)......</p>';
	}else{
echo '<p class=text-warning>2.7parameters資料(新增社群 / follow us)新增已完成......</p>';

$Database->exec("INSERT INTO advertisement (ID,isDisplay,linksclass,SortNum,Name,Note,FontAwesome,url,imgOrig,StartDate,EndDate,AdminID,UpdateTime) VALUES (NULL,'true','followus',0,'follow us Facebook','follow us Facebook','fa-facebook-square','https://www.facebook.com/TWUniversity/','','','','2','$created_date')");
$Database->exec("INSERT INTO advertisement (ID,isDisplay,linksclass,SortNum,Name,Note,FontAwesome,url,imgOrig,StartDate,EndDate,AdminID,UpdateTime) VALUES (NULL,'true','followus',1,'follow us twitter','twitter','fa-twitter-square','https://twitter.com/TWUCCIS','','','','2','$created_date')");
$Database->exec("INSERT INTO advertisement (ID,isDisplay,linksclass,SortNum,Name,Note,FontAwesome,url,imgOrig,StartDate,EndDate,AdminID,UpdateTime) VALUES (NULL,'true','followus',2,'follow us instagram','follow us instagram','fa-instagram','https://www.instagram.com/transworlduniversity/','','','','2','$created_date')");
$Database->exec("INSERT INTO advertisement (ID,isDisplay,linksclass,SortNum,Name,Note,FontAwesome,url,imgOrig,StartDate,EndDate,AdminID,UpdateTime) VALUES (NULL,'true','followus',3,'follow us youtube','follow us youtube','fa-youtube-square','https://www.youtube.com/c/TwuEduTw1992','','','','2','$created_date')");
$Database->exec("INSERT INTO advertisement (ID,isDisplay,linksclass,SortNum,Name,Note,FontAwesome,url,imgOrig,StartDate,EndDate,AdminID,UpdateTime) VALUES (NULL,'true','followus',4,'新聞稿專區','新聞稿專區','fa-newspaper-o','http://enews.twu.edu.tw/pressrelease.php','','','','2','$created_date')");

echo '<p class=text-warning>2.7社群 / follow us 資料新增已完成......</p>';
	}
//parameters資料(新增社群 / follow us)
}else{
echo '<p class=text-info>2.7無須更新parameters資料(新增社群 / follow us)......</p>';
	}

	
       //更新紀錄到欄位中
		$followusyoutube ="UPDATE advertisement SET url='https://www.youtube.com/c/TwuEduTw1992',UpdateTime='$created_date' WHERE Name='follow us youtube'";	
		$update_followusyoutube=$Database->exec($followusyoutube);

		
//判斷是否修改成功
	if(!$update_followusyoutube){
echo '<p class=text-info>2.7.1更新parameters資料(follow us youtube)發生錯誤......</p>';
	}else{
echo '<p class=text-warning>2.7.1更新parameters資料(follow us youtube)已完成......</p>';
	}
	
		$changeyoutube ="UPDATE advertisement SET  url=replace(url, 'https://youtu.be/', 'https://www.youtube.com/embed/') WHERE url LIKE '%https://youtu.be/%'";	
		$update_changeyoutube=$Database->exec($changeyoutube);
//判斷是否修改成功
	if(!$update_changeyoutube){
echo '<p class=text-info>2.7.2更新parameters資料(changeyoutube)發生錯誤/已經變更或無youtube......</p>';
	}else{
echo '<p class=text-warning>2.7.2更新parameters資料(changeyoutube)已完成......</p>';
	}		
		
	
	
// 2017-09-14 parameters資料(新增單位新聞模組)
//查詢Table資料
$parametersQuery = "SELECT count(*) AS checkparameters FROM parameters WHERE Class = 'template' AND Vaule = 'news' ";
//執行SQL
$parametersStatement = $Database->prepare($parametersQuery);
$parametersStatement->execute();
$parametersrow = $parametersStatement->fetch(PDO::FETCH_ASSOC);
if ( $parametersrow['checkparameters']==0 ) { //parameters資料(新增教師陣容模組)
        //更新紀錄到欄位中
	    $stmtparameters ="INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES (NULL,'template','news','單位新聞模組','請勿刪除','1','$created_date')";
		$update_parameters=$Database->exec($stmtparameters);  
//判斷是否修改成功
	if(!$update_parameters){
echo '<p class=text-info>2.8新增parameters資料(新增單位新聞模組)發生錯誤......</p>';
	}else{
echo '<p class=text-warning>2.8parameters資料(新增單位新聞模組)新增已完成......</p>';
	}
//parameters資料(新增單位新聞模組)
}else{
echo '<p class=text-info>2.8無須更新parameters資料(單位新聞模組)......</p>';
	} 

// 2017-09-29 (新增新聞模組[Table] newsBrief)
//查詢Table資料
$newsBriefQuery = "SELECT count(*) AS checknewsBriefrow FROM sqlite_master WHERE type='table' AND name='newsBrief' ";
//執行SQL
$newsBriefStatement = $Database->prepare($newsBriefQuery);
$newsBriefStatement->execute();
$newsBriefrow = $newsBriefStatement->fetch(PDO::FETCH_ASSOC);
if ( $newsBriefrow['checknewsBriefrow']==0 ) { //新增新聞模組[Table] newsBrief
        //更新紀錄到欄位中
	    $stmtnewsBrief ="CREATE TABLE 'newsBrief' (
ID INTEGER PRIMARY KEY,
parentID INTEGER,
isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true',
newstype TEXT DEFAULT NULL,
newsclass TEXT DEFAULT NULL,
AdminID INTEGER,
UpdateTime datetime NOT NULL)"; 

		$add_newsBrief=$Database->exec($stmtnewsBrief);  
//判斷是否修改成功
	if(!$add_newsBrief){
echo '<p class=text-info>2.9新增新聞模組[Table] newsBrief時發生錯誤......</p>';
	}else{
echo '<p class=text-warning>2.9新聞模組[Table] newsBrief新增已完成......</p>';
	}
//新增新聞模組[Table] newsBrief
}else{
echo '<p class=text-info>2.9無須新增新聞模組[Table] newsBrief......</p>';
	} 
	
// 2017-09-29 (新增新聞模組[Table] newsData)
//查詢Table資料
$newsDataQuery = "SELECT count(*) AS checknewsDatarow FROM sqlite_master WHERE type='table' AND name='newsData' ";
//執行SQL
$newsDataStatement = $Database->prepare($newsDataQuery);
$newsDataStatement->execute();
$newsDatarow = $newsDataStatement->fetch(PDO::FETCH_ASSOC);
if ( $newsDatarow['checknewsDatarow']==0 ) { //新增新聞模組[Table] newsData
        //更新紀錄到欄位中
	    $stmtnewsData ="CREATE TABLE 'newsData' ( ID INTEGER PRIMARY KEY, parentID INTEGER, isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true', SortNum INTEGER, newsclass TEXT DEFAULT NULL, Title TEXT DEFAULT NULL, Note TEXT DEFAULT NULL, imgOrig TEXT DEFAULT NULL,'StartDate' DATETIME NOT NULL,'EndDate' DATETIME NOT NULL,'linkname1' TEXT DEFAULT NULL,'linkpath1' TEXT DEFAULT NULL,'linkname2' TEXT DEFAULT NULL,'linkpath2' TEXT DEFAULT NULL, AdminID INTEGER, UpdateTime datetime NOT NULL)"; 

		$add_newsData=$Database->exec($stmtnewsData);  
//判斷是否修改成功
	if(!$add_newsData){
echo '<p class=text-info>2.9新增新聞模組[Table] newsData時發生錯誤......</p>';
	}else{
echo '<p class=text-warning>2.9新聞模組[Table] newsData新增已完成......</p>';
	}
//新增新聞模組[Table] newsData
}else{
echo '<p class=text-info>2.9無須新增新聞模組[Table] newsData......</p>';
	}		
	
// 2017-09-29  showindex首頁自行編輯
// showindex首頁自行編輯
$indexnewsQuery = "SELECT count(*) AS checkindexnews FROM parameters WHERE Class = 'system' AND Vaule = 'indexnews' ";
//執行SQL
$indexnewsStatement = $Database->prepare($indexnewsQuery);
$indexnewsStatement->execute();
$indexnewssrow = $indexnewsStatement->fetch(PDO::FETCH_ASSOC);
if ( $indexnewssrow['checkindexnews']==0 ) { //showindex首頁自行編輯
        //更新紀錄到欄位中
	    $stmtindexnews ="INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES (NULL,'system','indexnews','0','首頁新聞快遞:0關閉1啟用','2','$created_date')";
		$update_indexnews=$Database->exec($stmtindexnews);  
//判斷是否修改成功
	if(!$update_indexnews){
echo '<p class=text-info>2.10無法新增parameters資料(showindex首頁自行編輯)......</p>';
	}else{
echo '<p class=text-warning>2.10新增parameters資料(showindex首頁自行編輯新增已完成)......</p>';
	}
}	
	
// showindex首頁indexphoto自行編輯
$indexphotoQuery = "SELECT count(*) AS checkindexphoto FROM parameters WHERE Class = 'system' AND Vaule = 'indexphoto' ";
//執行SQL
$indexphotoStatement = $Database->prepare($indexphotoQuery);
$indexphotoStatement->execute();
$indexphotosrow = $indexphotoStatement->fetch(PDO::FETCH_ASSOC);
if ( $indexphotosrow['checkindexphoto']==0 ) { //showindex首頁自行編輯
        //更新紀錄到欄位中
$update_indexphoto=$Database->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES (NULL,'system','indexphoto','0','首頁照片輪播:0關閉1啟用','2','$created_date')");
//判斷是否修改成功
	if(!$update_indexphoto){
echo '<p class=text-info>2.10-1無法新增parameters資料(showindex首頁自行編輯indexphoto)......</p>';
	}else{
echo '<p class=text-warning>2.10-1新增parameters資料(showindex首頁自行編輯indexphoto)已完成......</p>';
	}
}	



// showindex首頁indexyoutube自行編輯
$indexyoutubeQuery = "SELECT count(*) AS checkindexyoutube FROM parameters WHERE Class = 'system' AND Vaule = 'indexyoutube' ";
//執行SQL
$indexyoutubeStatement = $Database->prepare($indexyoutubeQuery);
$indexyoutubeStatement->execute();
$indexyoutubesrow = $indexyoutubeStatement->fetch(PDO::FETCH_ASSOC);
if ( $indexyoutubesrow['checkindexyoutube']==0 ) { //showindex首頁自行編輯
        //更新紀錄到欄位中
$update_indexyoutube=$Database->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES (NULL,'system','indexyoutube','1','首頁youtube輪播:0關閉1啟用','2','$created_date')");
//判斷是否修改成功
	if(!$update_indexyoutube){
echo '<p class=text-info>2.10-2無法新增parameters資料(showindex首頁自行編輯indexyoutube)......</p>';
	}else{
echo '<p class=text-warning>2.10-2新增parameters資料(showindex首頁自行編輯indexyoutube)已完成......</p>';
	}
}

// showindex首頁indexphoto自行編輯
$indexphotoQuery = "SELECT count(*) AS checkindexphoto FROM parameters WHERE Class = 'links' AND Vaule = 'indexphoto' ";
//執行SQL
$indexphotoStatement = $Database->prepare($indexphotoQuery);
$indexphotoStatement->execute();
$indexphotosrow = $indexphotoStatement->fetch(PDO::FETCH_ASSOC);
if ( $indexphotosrow['checkindexphoto']==0 ) { //showindex首頁自行編輯
        //更新紀錄到欄位中
$update_indexphoto=$Database->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES (NULL,'links','indexphoto','首頁photo輪播','請勿刪除','2','$created_date')");
//判斷是否修改成功
	if(!$update_indexphoto){
echo '<p class=text-info>2.10-3無法新增parameters資料(showindex首頁自行編輯indexphoto)......</p>';
	}else{
echo '<p class=text-warning>2.10-3新增parameters資料(showindex首頁自行編輯indexphoto)已完成......</p>';
	}
}


// PwdChangePeriod
$PwdChangePeriodQuery = "SELECT count(*) AS checkPwdChangePeriod FROM parameters WHERE Class = 'system' AND Vaule = 'PwdChangePeriod' ";
//執行SQL
$PwdChangePeriodStatement = $Database->prepare($PwdChangePeriodQuery);
$PwdChangePeriodStatement->execute();
$PwdChangePeriodsrow = $PwdChangePeriodStatement->fetch(PDO::FETCH_ASSOC);
if ( $PwdChangePeriodsrow['checkPwdChangePeriod']==0 ) { //showindex首頁自行編輯
        //更新紀錄到欄位中
$update_linksindexphoto=$Database->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES (NULL,'system','PwdChangePeriod','180','密碼變更週期(day)','2','$created_date')");
//判斷是否修改成功
	if(!$update_linksindexphoto){
echo '<p class=text-info>2.10-4無法新增parameters資料(密碼變更週期(day))......</p>';
	}else{
echo '<p class=text-warning>2.10-4新增parameters資料(密碼變更週期(day))已完成......</p>';
	}
}

// 2019-03-29 (新增驗證紀錄[Table] reCAPTCHA)
//查詢Table資料
$reCAPTCHAQuery = "SELECT count(*) AS checkreCAPTCHA FROM sqlite_master WHERE type='table' AND name='reCAPTCHA' ";
//執行SQL
$reCAPTCHAStatement = $Database->prepare($reCAPTCHAQuery);
$reCAPTCHAStatement->execute();
$reCAPTCHArow = $reCAPTCHAStatement->fetch(PDO::FETCH_ASSOC);

if ( $reCAPTCHArow['checkreCAPTCHA']==0 ) { //新增驗證紀錄[Table] reCAPTCHA
        //更新紀錄到欄位中
	    $stmtreCAPTCHA ="CREATE TABLE 'reCAPTCHA' (
serial INTEGER PRIMARY KEY,
Username TEXT CHECK( LENGTH( Username) <= 100 ),
isSuccess TEXT CHECK(isSuccess IN ('true','false') ) NOT NULL DEFAULT 'false',
score INTEGER,
action TEXT CHECK( LENGTH(action) <= 100 ) ,
challenge_ts TEXT CHECK( LENGTH(challenge_ts) <= 200 ) ,
hostname TEXT CHECK( LENGTH(hostname) <= 200 ) ,
errorcodes TEXT CHECK( LENGTH(errorcodes) <= 200 ))"; 

		$add_reCAPTCHA=$Database->exec($stmtreCAPTCHA);  
//判斷是否修改成功
	if(!$add_reCAPTCHA){
echo '<p class=text-info>3.新增驗證紀錄[Table] reCAPTCHA時發生錯誤......</p>';
	}else{
echo '<p class=text-warning>3.新增驗證紀錄[Table] reCAPTCHA新增已完成......</p>';
	}
//3.新增驗證紀錄[Table] reCAPTCHA
}
}	
?>
<div class="p-3 mb-2 bg-info text-white"><i class="fa fa-bell-o" aria-hidden="true"></i>通知事項:</div> 		
        <p>
            環球科技大學單位網站CMS 已經成功更新.
           <b>繼續操作前:</b>
        </p>
<div class="p-3 mb-2 bg-danger text-white"><i class="fa fa-exclamation-circle" aria-hidden="true"></i>請刪除 <em>install</em> 資料夾!</div>
<div class="p-3 mb-2 bg-warning text-dark"><i class="fa fa-sign-in" aria-hidden="true"></i> <a href="../<?php echo ADMIN_DIR ?>" title="管理區"> 登入/Login 管理區</a>(預設登入admin目錄)使用!</div>

</div>